.panel.panel-default{"ng-controller" => "ProductionCostCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Cost of Production
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            // %th Crop Number
            %th Crop Name
            %th Intercrop Name
            %th Extent of Area (acres)
            %th Season
            %th Type of Land
            %th Irrigation Method
            %th Main Crop Seed Quantity (Kgs)/ Seedlings(Nos)
            %th Intercrop Seed Quantity (Kgs)/ Seedlings(Nos)
            / %th Plants (nos.) 
            / %th Seedlings (nos.)
            %th Establishment ₹/Acre
            %th Annual Maintenance ₹/Annum
            %th Age of Garden (Years)
            %th Life span of Garden (Years)
            %th
            %th
     
        %tbody
          %tr{ "ng-repeat" => "pc in data_list track by $index "}
            // %td {{ pc.crop_number }}
            %td {{ pc.crop_list.name }}
            %td {{ pc.intercrop_list.name}}
            %td {{ pc.extent_of_area }}
            %td {{ pc.season }}
            %td {{ pc.type_of_land }}
            %td {{ pc.irrigation_method }}
            %td {{ pc.seed_qty }}
            %td {{ pc.seed_price_inter }}
            / %td {{ pc.plants_count }}
            / %td {{ pc.seeding_count }}
            %td {{ pc.establishment }}
            %td {{ pc.annual_maintenance }}
            %td {{ pc.age_of_garden }}
            %td {{ pc.lifespan_of_garden }}
            %td
              %a{ "ng-click" => "edit(pc.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(pc.id, pc.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}

          %tr
            / %td
            /  %select{"ng-model" => "vm.crop_number", "ng-options" => "crop_number as crop_number for crop_number in crop_numbers", :class => "form-control"}
            /    %option{:value=>'', :selected => 'selected'} Select
            %td
              %select{"ng-model" => "vm.crop_list", "ng-options" => "crop_list.name for crop_list in crop_lists track by crop_list.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              %select{"ng-model" => "vm.intercrop_list", "ng-options" => "intercrop_list.name for intercrop_list in intercrop_lists track by intercrop_list.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = number_field :extent_of_area, '', :class => "form-control", "ng-model" => "vm.extent_of_area"
            %td
              = select_tag :season, options_for_select(["Kharif", "Rabi", "Summer","Perennial"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.season"
            %td
              = select_tag :type_of_land, options_for_select(["Dry", "Irrigated"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.type_of_land"
            %td
              = select_tag :irrigation_method, options_for_select(["Sprinkler", "Drip", "Flooding", 'Rainfed']), :prompt => "Select",:class => "form-control", "ng-model" => "vm.irrigation_method"
            %td
              = number_field :seed_qty, '', :class => "form-control", "ng-model" => "vm.seed_qty"
            %td
              = number_field :seed_price_inter, '', :class => "form-control", "ng-model" => "vm.seed_price_inter"
            / %td
            /   = number_field :plants_count, '', :class => "form-control", "ng-model" => "vm.plants_count"
            / %td
            /   = number_field :seeding_count, '', :class => "form-control", "ng-model" => "vm.seeding_count"
            %td
              = number_field :establishment, '', :class => "form-control", "ng-model" => "vm.establishment"
            %td
              = number_field :annual_maintenance, '', :class => "form-control", "ng-model" => "vm.annual_maintenance"
            %td
              = number_field :age_of_garden, '', :class => "form-control", "ng-model" => "vm.age_of_garden"
            %td
              = number_field :lifespan_of_garden, '', :class => "form-control", "ng-model" => "vm.lifespan_of_garden"
             
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}   

